Bug 473829 - With Fedora 10, keyboard no longer adjusts volume on Gnome Volume Applet
With Fedora 10, keyboard no longer adjusts volume on Gnome Volume Applet
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-30 18:07 EST by Edward Kuns
Modified: 2009-12-18 02:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:03:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edward Kuns 2008-11-30 18:07:34 EST
Starting with an upgrade from Fedora 8 to Fedora 10, the right and left keyboard keys no longer adjust the volume after I've clicked on the gnome volume applet (which I believe is mixer_applet2) icon on my panel.  If I use the mouse, it works as expected, so the volume manager functions.  It just doesn't use the arrow keys like it used to for volume adjustment.

gnome-applets-2.24.1-1.fc10.i386

So far since upgrading to Fedora 10, the keyboard has never affected the volume when the volume applet is active, so this is 100% reproducible.

Previously, under Fedora 8 and earlier, if I clicked on the speaker icon and the slider bar appeared, I could use the right and left arrow keys to adjust the volume.
Comment 1 Jean-Francois Saucier 2008-12-03 15:58:48 EST
Can you please check if gnome-settings-daemon is running? If no, check this bug too : 

https://bugzilla.redhat.com/show_bug.cgi?id=464385

I have the problem that gnome-settings-daemon don't start at Gnome launch, so the sound button don't work until I start gnome-settings-daemon manually.
Comment 2 Ray Strode [halfline] 2008-12-03 17:30:28 EST
Interesting.  The slider seems to not take focus anymore.

I just tried it and firefox scrolls instead.
Comment 3 Edward Kuns 2008-12-03 21:14:12 EST
At least for me, the gnome-settings-daemon is running.  But as Ray Strode said, the slider does not take keyboard focus.  This may (?) explain another change in behavior:  For Fedora 8 and earlier (since I skipped 9), if I clicked on the speaker image and then clicked on any other window, the slider would disappear.  Now, the slider remains open until I manually close it by clicking again on the speaker image.
Comment 4 Bug Zapper 2009-11-18 04:05:31 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 02:03:40 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.